Subject: Re: bug#36878: guix system reconfigure broken

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 05 Aug 2019 13:47:39 +0200

ison <[email-masked]> writes:

> I made the mistake of rebooting my machine after I first got this error, I
> thought perhaps it was benign. But when it came back up I was dropped to a
> GRUB rescue shell with some error about "grub_file_filters" being an unknown
> symbol.

This eems unrelated.  The problem sounds like GRUB and its modules
aren’t found for some reason.

> When running grub commands like "insmod normal" would just repeat the error
> or say command not found.
> The only way I could think to repair it was to run the Guix install disk,
> mount my partitions, and do another "guix init" which allows me to boot into
> my machine again. However, when I run "guix pull" and then perform a
> reconfigure I still keep seeing the same line:
> shepherd: Evaluating user expression (let* ((services (map primitive-load (?))) # ?) ?)

I reconfigured a workstation yesterday and also saw this line.  It does
look like an error, but it seems to be completely harmless.  I could
boot juts fine.  I suppose that’s just the part where new service
definitions are loaded.

The problem you’re seeing is unrelated to this output.

-- 
Ricardo